> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Monthly totals by component, from rated lines



## OpenAPI

````yaml https://global.thenile.dev/openapi.yaml get /workspaces/{workspaceSlug}/billing/{ym}/totals
openapi: 3.0.1
info:
  title: Nile ReST API
  description: Making SaaS chill.
  contact:
    email: support@thenile.dev
  version: 0.1.0-1133318
servers:
  - url: https://global.thenile.dev
security: []
paths:
  /workspaces/{workspaceSlug}/billing/{ym}/totals:
    get:
      tags:
        - workspaces
      summary: Monthly totals by component, from rated lines
      operationId: totals
      parameters:
        - name: workspaceSlug
          in: path
          required: true
          schema:
            type: string
        - name: ym
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/Developer'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceMonthlyTotalsDto'
      security:
        - jwtBearerAuth: []
components:
  schemas:
    Developer:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        workspaces:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/Workspace'
        databases:
          uniqueItems: true
          type: array
          items:
            type: string
        kind:
          type: string
          enum:
            - HUMAN
            - API
    WorkspaceMonthlyTotalsDto:
      type: object
      properties:
        ym:
          type: string
        totals:
          type: object
          additionalProperties:
            type: number
    Workspace:
      required:
        - name
        - slug
      type: object
      properties:
        id:
          type: string
        name:
          minLength: 1
          type: string
        slug:
          minLength: 1
          type: string
        stripe_customer_id:
          type: string
        created:
          type: string
          format: date-time
  securitySchemes:
    jwtBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````